//富文本json解析模块
function RichTextBuilder(jsonText) {
	var rich_text_dom = '<div class="wp">';
	var questionArray = JSON.parse(jsonText);
	for (var i = 0; i < questionArray.length; i++) {
		 var question = questionArray[i];
		 var question_text_dom = '<div class="rich-text">';
		 var title = '<span>题号：'+ question.mainNumber+'-'+question.subNumber +'</span><br/>';
		 question_text_dom = question_text_dom + title;
		 
		 var sections = question.body.sections;
		 var content = '';
		 for(var x = 0; x < sections.length; x++){
			var blocks = sections[x].blocks;
				 for(var j = 0; j < blocks.length; j++){
					 if(blocks[j].type == 'text'){
						 content = content + '<p>'+ blocks[j].value +'</p>';
					 }
					 if(blocks[j].type == 'image'){
						 content = content + '<p><img src='+ blocks[j].value +'/></p>';
					 }
					 if(blocks[j].type == 'audio'){
						 content = content + '<p><audio controls><source src='+ blocks[j].value +' type="audio/ogg"/></audio></p>';
					 }
				 }
		 }
		 question_text_dom = question_text_dom + content + '</div>';
		 rich_text_dom = rich_text_dom + question_text_dom;
	 }
	
	 rich_text_dom = rich_text_dom + '</div>';
	 return rich_text_dom;
}

